Module | Yajl
In: | lib/yajl.rb lib/yajl/bzip2/stream_reader.rb lib/yajl/bzip2/stream_writer.rb lib/yajl/deflate/stream_reader.rb lib/yajl/deflate/stream_writer.rb lib/yajl/gzip/stream_reader.rb lib/yajl/gzip/stream_writer.rb lib/yajl/http_stream.rb lib/yajl/version.rb

# Yajl

Ruby bindings to the excellent Yajl (Yet Another JSON Parser) ANSI C library.

### Methods

dump load

### Classes and Modules

Module Yajl::Bzip2
Module Yajl::Deflate
Module Yajl::Gzip
Class Yajl::Encoder
Class Yajl::HttpStream
Class Yajl::Parser

### Constants

VERSION | = | '1.1.0'

### Public Class methods

dump(obj, *args, &block)

For compatibility, has the same signature of Yajl::Encoder.encode

load(str_or_io, options={}, read_bufsize=nil, &block)

For compatibility, has the same signature of Yajl::Parser.parse

[Validate]